path: /build/build/imlib2-media-libs-1.12.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-bzip2 -gif -heif -jpeg -lzma -mp3 -png -postscript -svg -tiff -webp -zlib X" emerge media-libs/imlib2 -pv -t && \
    USE="-bzip2 -gif -heif -jpeg -lzma -mp3 -png -postscript -svg -tiff -webp -zlib X" emerge -j ${JOBS} --nodeps media-libs/imlib2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/imlib2 && luet-portage --dir /pkgdir/imlib2
    media-libs/imlib2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:57b54dee0606efbf3866706aa88c4d0ea8ade2aa52c5c5efad444f2a12a94f78
  package:
    name: imlib2
    version: 1.12.2
    category: media-libs
    use_flags:
    - -bzip2
    - -gif
    - -heif
    - -jpeg
    - -lzma
    - -mp3
    - -png
    - -postscript
    - -svg
    - -tiff
    - -webp
    - -zlib
    - X
    requires:
    - name: macaroni-funtoo-race5
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Version 2 of an advanced replacement library for libraries like libXpm
    uri:
    - https://www.enlightenment.org/ https://sourceforge.net/projects/enlightenment/files/imlib2-src/
    license: BSD
    buildtimestamp: 2024-03-04 10:13:09.939563279 +0000 UTC m=+84.281949981
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: media-libs/freetype:2[-mgorny(-)] bzip2? ( app-arch/bzip2[-mgorny(-)]
        ) gif? ( media-libs/giflib:=[-mgorny(-)] ) heif? ( media-libs/libheif:=[-mgorny(-)]
        ) jpeg? ( virtual/jpeg:0=[-mgorny(-)] ) lzma? ( app-arch/xz-utils[-mgorny(-)]
        ) mp3? ( media-libs/libid3tag:=[-mgorny(-)] ) png? ( >=media-libs/libpng-1.6.10:0=[-mgorny(-)]
        ) postscript? ( app-text/libspectre[-mgorny(-)] ) svg? ( gnome-base/librsvg:=[-mgorny(-)]
        ) tiff? ( >=media-libs/tiff-4.0.4:0[-mgorny(-)] ) webp? ( media-libs/libwebp:=[-mgorny(-)]
        ) X? ( x11-libs/libX11[-mgorny(-)] x11-libs/libXext[-mgorny(-)] ) zlib? (
        sys-libs/zlib[-mgorny(-)] ) !<media-plugins/imlib2_loaders-1.7.0 X? ( x11-base/xorg-proto
        )
      IUSE: bzip2 debug doc +gif heif +jpeg lzma mp3 +png postscript +shm static-libs
        svg +tiff +truetype +webp +X zlib cpu_flags_x86_mmx cpu_flags_x86_sse2 abi_x86_32
        abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: media-libs/freetype:2[-mgorny(-)] bzip2? ( app-arch/bzip2[-mgorny(-)]
        ) gif? ( media-libs/giflib:=[-mgorny(-)] ) heif? ( media-libs/libheif:=[-mgorny(-)]
        ) jpeg? ( virtual/jpeg:0=[-mgorny(-)] ) lzma? ( app-arch/xz-utils[-mgorny(-)]
        ) mp3? ( media-libs/libid3tag:=[-mgorny(-)] ) png? ( >=media-libs/libpng-1.6.10:0=[-mgorny(-)]
        ) postscript? ( app-text/libspectre[-mgorny(-)] ) svg? ( gnome-base/librsvg:=[-mgorny(-)]
        ) tiff? ( >=media-libs/tiff-4.0.4:0[-mgorny(-)] ) webp? ( media-libs/libwebp:=[-mgorny(-)]
        ) X? ( x11-libs/libX11[-mgorny(-)] x11-libs/libXext[-mgorny(-)] ) zlib? (
        sys-libs/zlib[-mgorny(-)] ) !<media-plugins/imlib2_loaders-1.7.0
      emerge.packages: media-libs/imlib2
      kit: media-kit
      original.package.name: media-libs/imlib2
      original.package.slot: "0"
      original.package.version: 1.12.2
    treedir: /build/packages
  package_dir: /pkgdir/imlib2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c10941394526631dc17a273a0516b9606f4a11c8ca7dcc6bdf0163fa5991f461
compressiontype: zstd
files:
- usr/bin/imlib2_bumpmap
- usr/bin/imlib2_colorspace
- usr/bin/imlib2_conv
- usr/bin/imlib2_grab
- usr/bin/imlib2_load
- usr/bin/imlib2_poly
- usr/bin/imlib2_show
- usr/bin/imlib2_test
- usr/bin/imlib2_view
- usr/include/Imlib2.h
- usr/include/Imlib2_Loader.h
- usr/lib64/imlib2/filters/bumpmap.so
- usr/lib64/imlib2/filters/colormod.so
- usr/lib64/imlib2/filters/testfilter.so
- usr/lib64/imlib2/loaders/ani.so
- usr/lib64/imlib2/loaders/argb.so
- usr/lib64/imlib2/loaders/bmp.so
- usr/lib64/imlib2/loaders/ff.so
- usr/lib64/imlib2/loaders/ico.so
- usr/lib64/imlib2/loaders/lbm.so
- usr/lib64/imlib2/loaders/pnm.so
- usr/lib64/imlib2/loaders/qoi.so
- usr/lib64/imlib2/loaders/tga.so
- usr/lib64/imlib2/loaders/xbm.so
- usr/lib64/imlib2/loaders/xpm.so
- usr/lib64/libImlib2.so
- usr/lib64/libImlib2.so.1
- usr/lib64/libImlib2.so.1.12.2
- usr/lib64/pkgconfig/imlib2.pc
- usr/share/doc/imlib2-1.12.2/AUTHORS.bz2
- usr/share/doc/imlib2-1.12.2/ChangeLog.bz2
- usr/share/doc/imlib2-1.12.2/README.bz2
- usr/share/doc/imlib2-1.12.2/README.in.bz2
- usr/share/doc/imlib2-1.12.2/TODO.bz2
- usr/share/imlib2/data/fonts/cinema.ttf
- usr/share/imlib2/data/fonts/grunge.ttf
- usr/share/imlib2/data/fonts/morpheus.ttf
- usr/share/imlib2/data/fonts/notepad.ttf
- usr/share/imlib2/data/images/audio.png
- usr/share/imlib2/data/images/bg.png
- usr/share/imlib2/data/images/bulb.png
- usr/share/imlib2/data/images/cal.png
- usr/share/imlib2/data/images/calc.png
- usr/share/imlib2/data/images/folder.png
- usr/share/imlib2/data/images/globe.png
- usr/share/imlib2/data/images/imlib2.png
- usr/share/imlib2/data/images/lock.png
- usr/share/imlib2/data/images/mail.png
- usr/share/imlib2/data/images/menu.png
- usr/share/imlib2/data/images/mush.png
- usr/share/imlib2/data/images/paper.png
- usr/share/imlib2/data/images/sh1.png
- usr/share/imlib2/data/images/sh2.png
- usr/share/imlib2/data/images/sh3.png
- usr/share/imlib2/data/images/stop.png
- usr/share/imlib2/data/images/tnt.png
- usr/share/imlib2/rgb.txt
- var/db/pkg/media-libs/imlib2-1.12.2/BDEPEND
- var/db/pkg/media-libs/imlib2-1.12.2/BUILD_TIME
- var/db/pkg/media-libs/imlib2-1.12.2/CATEGORY
- var/db/pkg/media-libs/imlib2-1.12.2/CBUILD
- var/db/pkg/media-libs/imlib2-1.12.2/CFLAGS
- var/db/pkg/media-libs/imlib2-1.12.2/CHOST
- var/db/pkg/media-libs/imlib2-1.12.2/CONTENTS
- var/db/pkg/media-libs/imlib2-1.12.2/COUNTER
- var/db/pkg/media-libs/imlib2-1.12.2/CXXFLAGS
- var/db/pkg/media-libs/imlib2-1.12.2/DEFINED_PHASES
- var/db/pkg/media-libs/imlib2-1.12.2/DEPEND
- var/db/pkg/media-libs/imlib2-1.12.2/DESCRIPTION
- var/db/pkg/media-libs/imlib2-1.12.2/EAPI
- var/db/pkg/media-libs/imlib2-1.12.2/FEATURES
- var/db/pkg/media-libs/imlib2-1.12.2/HOMEPAGE
- var/db/pkg/media-libs/imlib2-1.12.2/INHERITED
- var/db/pkg/media-libs/imlib2-1.12.2/IUSE
- var/db/pkg/media-libs/imlib2-1.12.2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/imlib2-1.12.2/KEYWORDS
- var/db/pkg/media-libs/imlib2-1.12.2/LDFLAGS
- var/db/pkg/media-libs/imlib2-1.12.2/LICENSE
- var/db/pkg/media-libs/imlib2-1.12.2/NEEDED
- var/db/pkg/media-libs/imlib2-1.12.2/PF
- var/db/pkg/media-libs/imlib2-1.12.2/PROVIDES
- var/db/pkg/media-libs/imlib2-1.12.2/RDEPEND
- var/db/pkg/media-libs/imlib2-1.12.2/REQUIRES
- var/db/pkg/media-libs/imlib2-1.12.2/SIZE
- var/db/pkg/media-libs/imlib2-1.12.2/SLOT
- var/db/pkg/media-libs/imlib2-1.12.2/USE
- var/db/pkg/media-libs/imlib2-1.12.2/environment.bz2
- var/db/pkg/media-libs/imlib2-1.12.2/imlib2-1.12.2.ebuild
- var/db/pkg/media-libs/imlib2-1.12.2/repository
package_cacheimage: ""
runtime:
  name: imlib2
  version: 1.12.2
  category: media-libs
  use_flags:
  - -bzip2
  - -gif
  - -heif
  - -jpeg
  - -lzma
  - -mp3
  - -png
  - -postscript
  - -svg
  - -tiff
  - -webp
  - -zlib
  - X
  requires:
  - name: freetype
    version: '>=0'
    category: media-libs-2
  - name: libXext
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Version 2 of an advanced replacement library for libraries like libXpm
  uri:
  - https://www.enlightenment.org/ https://sourceforge.net/projects/enlightenment/files/imlib2-src/
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: media-libs/freetype:2[-mgorny(-)] bzip2? ( app-arch/bzip2[-mgorny(-)]
      ) gif? ( media-libs/giflib:=[-mgorny(-)] ) heif? ( media-libs/libheif:=[-mgorny(-)]
      ) jpeg? ( virtual/jpeg:0=[-mgorny(-)] ) lzma? ( app-arch/xz-utils[-mgorny(-)]
      ) mp3? ( media-libs/libid3tag:=[-mgorny(-)] ) png? ( >=media-libs/libpng-1.6.10:0=[-mgorny(-)]
      ) postscript? ( app-text/libspectre[-mgorny(-)] ) svg? ( gnome-base/librsvg:=[-mgorny(-)]
      ) tiff? ( >=media-libs/tiff-4.0.4:0[-mgorny(-)] ) webp? ( media-libs/libwebp:=[-mgorny(-)]
      ) X? ( x11-libs/libX11[-mgorny(-)] x11-libs/libXext[-mgorny(-)] ) zlib? ( sys-libs/zlib[-mgorny(-)]
      ) !<media-plugins/imlib2_loaders-1.7.0 X? ( x11-base/xorg-proto )
    IUSE: bzip2 debug doc +gif heif +jpeg lzma mp3 +png postscript +shm static-libs
      svg +tiff +truetype +webp +X zlib cpu_flags_x86_mmx cpu_flags_x86_sse2 abi_x86_32
      abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: media-libs/freetype:2[-mgorny(-)] bzip2? ( app-arch/bzip2[-mgorny(-)]
      ) gif? ( media-libs/giflib:=[-mgorny(-)] ) heif? ( media-libs/libheif:=[-mgorny(-)]
      ) jpeg? ( virtual/jpeg:0=[-mgorny(-)] ) lzma? ( app-arch/xz-utils[-mgorny(-)]
      ) mp3? ( media-libs/libid3tag:=[-mgorny(-)] ) png? ( >=media-libs/libpng-1.6.10:0=[-mgorny(-)]
      ) postscript? ( app-text/libspectre[-mgorny(-)] ) svg? ( gnome-base/librsvg:=[-mgorny(-)]
      ) tiff? ( >=media-libs/tiff-4.0.4:0[-mgorny(-)] ) webp? ( media-libs/libwebp:=[-mgorny(-)]
      ) X? ( x11-libs/libX11[-mgorny(-)] x11-libs/libXext[-mgorny(-)] ) zlib? ( sys-libs/zlib[-mgorny(-)]
      ) !<media-plugins/imlib2_loaders-1.7.0
    emerge.packages: media-libs/imlib2
    kit: media-kit
    original.package.name: media-libs/imlib2
    original.package.slot: "0"
    original.package.version: 1.12.2
